/*
MACINTOSH:
compile:  javac -classpath .:KarelJRobot.jar kareltherobot/*.java
run:   java -cp .:KarelJRobot.jar kareltherobot.Application

WINDOWS:
compile:  javac -classpath .;KarelJRobot.jar kareltherobot/*.java
run:  java -cp .;KarelJRobot.jar kareltherobot.Application
*/

/*
  This program is intended to have a robot pick up a beeper at the top of 4
  stairs and return it to the lower corner.
  
  written by Scott McElfresh
*/
package kareltherobot;


public class Application implements Directions
{	
   public static void main(String [] args)
	{	
		World.readWorld("stairs.txt");
		World.setVisible(true);
		World.setTrace(true);
		World.setDelay(100);  // wait for the graphics to catch up	
		
		TurningRobot spot = new TurningRobot(1,1,East,0);
		
		World.setDelay(10);  //  now, go a usual speed
		
		// first, get to stairs
		spot.move();
		spot.move();
		spot.move();
		
		// climb a stair
		spot.turnLeft();
		spot.move();
		spot.turnRight();
		spot.move();
		// climb a stair
		spot.turnLeft();
		spot.move();
		spot.turnRight();
		spot.move();
		// climb a stair
		spot.turnLeft();
		spot.move();
		spot.turnRight();
		spot.move();
		// climb a stair
		spot.turnLeft();
		spot.move();
		spot.turnRight();
		spot.move();
		
		spot.pickBeeper();
		spot.turnAround();
		
		// go down one stair
		spot.move();
		spot.turnLeft();
		spot.move();
		spot.turnRight();
	    // go down one stair
		spot.move();
		spot.turnLeft();
		spot.move();
		spot.turnRight();
		// go down one stair
		spot.move();
		spot.turnLeft();
		spot.move();
		spot.turnRight();
		// go down one stair		
		spot.move();
		spot.turnLeft();
		spot.move();
		spot.turnRight();
		
		// return home
		
		spot.move();
		spot.move();
		spot.move();
		spot.putBeeper();

		
		
		
		
		spot.turnOff();
	
	}

}